Update page
PUT
/status-pages/{id}
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
Request Body required
application/jsonname
string
logo_url
unknown
favicon_url
unknown
brand_color
string
custom_css
unknown
template
string
Enum:
minimal, brand, terminal, modern, clean, developerseo_title
unknown
seo_description
unknown
is_published
boolean
Responses
200
Status page updated
No response body
curl -X PUT 'https://happyuptime.com/api/v1/status-pages/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "logo_url": "https://example.com", "favicon_url": "https://example.com", "brand_color": "string", "custom_css": "string", "template": "minimal", "seo_title": "string", "seo_description": "string", "is_published": true}'
const response = await fetch('https://happyuptime.com/api/v1/status-pages/string', { method: 'PUT', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "logo_url": "https://example.com", "favicon_url": "https://example.com", "brand_color": "string", "custom_css": "string", "template": "minimal", "seo_title": "string", "seo_description": "string", "is_published": true })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.put('https://happyuptime.com/api/v1/status-pages/string', headers=headers, json={ "name": "string", "logo_url": "https://example.com", "favicon_url": "https://example.com", "brand_color": "string", "custom_css": "string", "template": "minimal", "seo_title": "string", "seo_description": "string", "is_published": true})print(response.json())
API Playground
Try this endpoint
PUT
/status-pages/{id}